﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Linq;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = OrdersTable();
    }

    private DataTable OrdersTable()
    {
        DataTable dt = new DataTable();

        dt.Columns.Add(new DataColumn("OrderID", typeof(int)));
        dt.Columns.Add(new DataColumn("OrderDate", typeof(DateTime)));
        dt.Columns.Add(new DataColumn("Freight", typeof(decimal)));
        dt.Columns.Add(new DataColumn("ShipName", typeof(string)));
        dt.Columns.Add(new DataColumn("ShipCountry", typeof(string)));

        dt.PrimaryKey = new DataColumn[] { dt.Columns["OrderID"] };

        for (int i = 0; i < 70; i++)
        {
            int index = i + 1;

            DataRow row = dt.NewRow();

            row["OrderID"] = index;
            row["OrderDate"] = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 0, 0, 0).AddHours(index);
            row["Freight"] = index * 0.1 + index * 0.01;
            row["ShipName"] = "Name " + index;
            row["ShipCountry"] = "Country " + index;

            dt.Rows.Add(row);
        }

        return dt;
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if(e.Item is GridDataItem)
        {
            GridDataItem item = e.Item as GridDataItem;

            RadButton btnEdit = item["EditColumn"].FindControl("btnEdit") as RadButton;
            RadButton btnDelete = item["DeleteColumn"].FindControl("btnDelete") as RadButton;

            int OrderID = (int)item.GetDataKeyValue("OrderID");

            if(OrderID % 2 == 0)
            {
                btnEdit.Visible = false;
            }

            if (OrderID % 4 == 0)
            {
                btnDelete.Visible = false;
            }
        }
    }

    // Example to hide Edit/Delete columns when the grid enters into edit mode.
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        //// if at least one EditIndex is present, the RadGrid is in Edit mode, then run the logic
        //if (RadGrid1.EditIndexes.Count > 0)
        //{
        //    // if there is an item for editing, hide the two columns
        //    RadGrid1.MasterTableView.GetColumn("EditColumn").Display = false;
        //    RadGrid1.MasterTableView.GetColumn("DeleteColumn").Display = false;
        //}
        //else
        //{
        //    // if there is no item in edit mode, show the two columns
        //    RadGrid1.MasterTableView.GetColumn("EditColumn").Display = true;
        //    RadGrid1.MasterTableView.GetColumn("DeleteColumn").Display = true;
        //}
    }

}
